package com.xdap.self_development.service;

import com.xdap.self_development.domain.enums.AuthorizationClassEnum;

import java.util.List;

public interface AuthService {
    /**
     * 验证用户是否有操作权限
     */
    void checkUserAuthorization(String userId, AuthorizationClassEnum classEnum);

    /**
     * 验证用户是否有某个操作权限
     */
    void checkUserHasPermission(String userId, String permission);
}
